Показано с 1 по 3 из 3

Тема: Какую версию CODESYS V3.5 устанавливать?

  1. #1

    По умолчанию Какую версию CODESYS V3.5 устанавливать?

    Здравствуйте. Прошу помочь разобраться в следующих вопросах.

    Какую версию CODESYS V3.5 устанавливать?

    И можно ли установить две версии CODESYS V3.5?
    Есть два контроллера СПК107 и СПК107[M01] (вернее СПК107[M01] сейчас будет приобретаться).
    СПК107 в работе и программа на него написана в CODESYS V3.5 SP5 Patch 5.
    Вопрос: Если установить CODESYS V3.5 SP14 Patch 3 или CODESYS V3.5 SP16 Patch 3 можно ли будет работать с СПК107 ? Или потребуется два CODESYS V3.5 – один как бы для старого СПК107 а другой для нового СПК107[M01] .

    Прошу также пояснить, что такое (новые прошивки) и (заводские прошивки) для СПК107[M01] ?
    Соответственно для СПК107[M01] (новые прошивки) надо устанавливать CODESYS V3.5 SP16 Patch 3, а для СПК107[M01] (заводские прошивки) надо устанавливать CODESYS V3.5 SP14 Patch 3.
    Вопрос: CODESYS V3.5 SP16 Patch 3 не подходит для СПК107[M01] (заводские прошивки)?

  2. #2
    Супер Модератор Аватар для Евгений Кислов
    Регистрация
    27.01.2015
    Адрес
    Москва
    Сообщений
    8,563

    По умолчанию

    Добрый день.

    Какую версию CODESYS V3.5 устанавливать?
    Зависит от версии прошивки контроллера. На нашем сайте есть удобный выбиратор, который предоставляет все нужные ссылки:
    https://owen.ru/product/codesys_v3/s...ogramirovaniay

    И можно ли установить две версии CODESYS V3.5?
    Да.

    Прошу также пояснить, что такое (новые прошивки) и (заводские прошивки) для СПК107[M01] ?
    Заводские - это те, которые зашиваются в контроллер при его изготовлении на заводе.
    Новые - доступны только на нашем сайте. По желанию пользователь может обновить прошивку самостоятельно.
    Периодически мы обновляем прошивки на заводе.

    Если установить CODESYS V3.5 SP14 Patch 3 или CODESYS V3.5 SP16 Patch 3 можно ли будет работать с СПК107 ?
    CODESYS V3.5 SP16 Patch 3 не подходит для СПК107[M01] (заводские прошивки)
    Ответ на оба вопроса - мы настоятельно рекомендуем использовать для программирования контроллера именно ту версию CODESYS, которая соответствует его прошивке (точнее - системе исполнения CODESYS в данной прошивке).
    Технически - опытный пользователь может использовать одну (самую новую из требуемых) версию CODESYS для программирования контроллеров с разными прошивками и системами исполненения.
    Но для начинающего пользователя это, скорее всего, обернется массой ненужных проблем с тасованием версий библиотек, версий компилятора и т.д.
    Поэтому лучше установить на ПК все нужные вам версии CODESYS - учитывая размер современных SSD/HDD, несколько дополнительных занятых гигабайт не должны создать проблем.

  3. #3

    По умолчанию

    Спасибо за ответ.
    Всё понял.

Похожие темы

  1. Ответов: 5
    Последнее сообщение: 04.11.2021, 20:12
  2. Какую нагрузку можно на DO пр200 220 ?
    от Ozun в разделе Программируемые реле
    Ответов: 13
    Последнее сообщение: 24.01.2021, 22:03
  3. Так какую версию CoDeSyS использовать?
    от Hoolde в разделе СПК2хх
    Ответов: 4
    Последнее сообщение: 10.06.2018, 15:30
  4. Как на СП270 устанавливать бит каждые 5 сек
    от murdemon в разделе Панели оператора (HMI)
    Ответов: 1
    Последнее сообщение: 11.11.2015, 20:59
  5. Ответов: 2
    Последнее сообщение: 26.01.2009, 21:15

Ваши права

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения
  •